---
name: Google Drive
version: 1.0.0
description: "Google Drive API access for AI agents. Create, read, update, and manage files and folders with OAuth token passthrough. App-created files scope for secure access."
homepage: https://www.googleapis.com/drive/v3
metadata: {"seren":{"category":"integration","publisher_slug":"google-drive","api_base":"https://api.serendb.com"}}
---

# Google Drive

Google Drive API access for AI agents. Create, read, update, and manage files and folders with OAuth token passthrough. App-created files scope for secure access.

## API Endpoints

### GET `/files`

List files and folders

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-drive/files \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/files/{fileId}`

Get file metadata

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-drive/files/{fileId} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/files`

Create a new file or folder

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/google-drive/files \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### PATCH `/files/{fileId}`

Update file metadata

**Example:**

```bash
curl -X PATCH https://api.serendb.com/publishers/google-drive/files/{fileId} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### DELETE `/files/{fileId}`

Delete a file

**Example:**

```bash
curl -X DELETE https://api.serendb.com/publishers/google-drive/files/{fileId} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/files/{fileId}/export`

Export Google Docs to other formats

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-drive/files/{fileId}/export \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/files/{fileId}/copy`

Copy a file

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/google-drive/files/{fileId}/copy \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/about`

Get user and storage info

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-drive/about \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `get_files`: List files and folders
- `get_files_by_fileId`: Get file metadata
- `post_files`: Create a new file or folder
- `patch_files_by_fileId`: Update file metadata
- `delete_files_by_fileId`: Delete a file
- `get_files_by_fileId_export`: Export Google Docs to other formats
- `post_files_by_fileId_copy`: Copy a file
- `get_about`: Get user and storage info

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/google-drive/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/google-drive/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_byte

- Base price per 1000 rows (bytes): $0.00100000

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Google Drive API access for AI agents. Create, read, update, and manage files and folders with OAuth token passthrough. App-created files scope for secure access.
